<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <script src="../../../../../clover.js" type="text/javascript"></script>
  <script src="../../../../../sorttable.js" type="text/javascript"></script>

  <style type="text/css" media="screen">
      @import url('../../../../../style.css');
      @import url('../../../../../roundedcorners.css');
  </style>
<title> HttpCore NIO 4.3-alpha1 </title>      
</head>
  <body onload="showContent();">
    <div class="titleText">
      <a href="pkg-summary.html" target="classPane" title="org.apache.http.nio.protocol">org.apache.http.nio.protocol</a>
    </div>
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  active ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
      <tr>
    <td><span class="sortValue">AbstractAsyncRequestConsumer</span>
            <a class="classlist" target="classPane" href="AbstractAsyncRequestConsumer.html#AbstractAsyncRequestConsumer" title="org.apache.http.nio.protocol.AbstractAsyncRequestConsumer">AbstractAsyncRequestConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8913044</span>
        <i>(89.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AbstractAsyncResponseConsumer</span>
            <a class="classlist" target="classPane" href="AbstractAsyncResponseConsumer.html#AbstractAsyncResponseConsumer" title="org.apache.http.nio.protocol.AbstractAsyncResponseConsumer">AbstractAsyncResponseConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.98039216</span>
        <i>(98%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpClientHandler</span>
            <a class="classlist" target="classPane" href="AsyncNHttpClientHandler.html#AsyncNHttpClientHandler" title="org.apache.http.nio.protocol.AsyncNHttpClientHandler">AsyncNHttpClientHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.66390043</span>
        <i>(66.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpClientHandler.ClientConnState</span>
            <a class="classlist" target="classPane" href="AsyncNHttpClientHandler.html#AsyncNHttpClientHandler.ClientConnState" title="org.apache.http.nio.protocol.AsyncNHttpClientHandler.ClientConnState">AsyncNHttpClientHandler.ClientConnState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9591837</span>
        <i>(95.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpServiceHandler</span>
            <a class="classlist" target="classPane" href="AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler" title="org.apache.http.nio.protocol.AsyncNHttpServiceHandler">AsyncNHttpServiceHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6712329</span>
        <i>(67.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpServiceHandler.ResponseTriggerImpl</span>
            <a class="classlist" target="classPane" href="AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ResponseTriggerImpl" title="org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ResponseTriggerImpl">AsyncNHttpServiceHandler.ResponseTriggerImpl</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5862069</span>
        <i>(58.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">AsyncNHttpServiceHandler.ServerConnState</span>
            <a class="classlist" target="classPane" href="AsyncNHttpServiceHandler.html#AsyncNHttpServiceHandler.ServerConnState" title="org.apache.http.nio.protocol.AsyncNHttpServiceHandler.ServerConnState">AsyncNHttpServiceHandler.ServerConnState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8360656</span>
        <i>(83.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncRequestConsumer</span>
            <a class="classlist" target="classPane" href="BasicAsyncRequestConsumer.html#BasicAsyncRequestConsumer" title="org.apache.http.nio.protocol.BasicAsyncRequestConsumer">BasicAsyncRequestConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8518519</span>
        <i>(85.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncRequestExecutionHandler</span>
            <a class="classlist" target="classPane" href="BasicAsyncRequestExecutionHandler.html#BasicAsyncRequestExecutionHandler" title="org.apache.http.nio.protocol.BasicAsyncRequestExecutionHandler">BasicAsyncRequestExecutionHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8</span>
        <i>(80%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncRequestHandler</span>
            <a class="classlist" target="classPane" href="BasicAsyncRequestHandler.html#BasicAsyncRequestHandler" title="org.apache.http.nio.protocol.BasicAsyncRequestHandler">BasicAsyncRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncRequestProducer</span>
            <a class="classlist" target="classPane" href="BasicAsyncRequestProducer.html#BasicAsyncRequestProducer" title="org.apache.http.nio.protocol.BasicAsyncRequestProducer">BasicAsyncRequestProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8703704</span>
        <i>(87%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncResponseConsumer</span>
            <a class="classlist" target="classPane" href="BasicAsyncResponseConsumer.html#BasicAsyncResponseConsumer" title="org.apache.http.nio.protocol.BasicAsyncResponseConsumer">BasicAsyncResponseConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.8518519</span>
        <i>(85.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BasicAsyncResponseProducer</span>
            <a class="classlist" target="classPane" href="BasicAsyncResponseProducer.html#BasicAsyncResponseProducer" title="org.apache.http.nio.protocol.BasicAsyncResponseProducer">BasicAsyncResponseProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.92105263</span>
        <i>(92.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpClientHandler</span>
            <a class="classlist" target="classPane" href="BufferingHttpClientHandler.html#BufferingHttpClientHandler" title="org.apache.http.nio.protocol.BufferingHttpClientHandler">BufferingHttpClientHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpClientHandler.ExecutionHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="BufferingHttpClientHandler.html#BufferingHttpClientHandler.ExecutionHandlerAdaptor" title="org.apache.http.nio.protocol.BufferingHttpClientHandler.ExecutionHandlerAdaptor">BufferingHttpClientHandler.ExecutionHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpServiceHandler</span>
            <a class="classlist" target="classPane" href="BufferingHttpServiceHandler.html#BufferingHttpServiceHandler" title="org.apache.http.nio.protocol.BufferingHttpServiceHandler">BufferingHttpServiceHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6666667</span>
        <i>(66.7%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpServiceHandler.RequestHandlerAdaptor</span>
            <a class="classlist" target="classPane" href="BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerAdaptor" title="org.apache.http.nio.protocol.BufferingHttpServiceHandler.RequestHandlerAdaptor">BufferingHttpServiceHandler.RequestHandlerAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.71428573</span>
        <i>(71.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">BufferingHttpServiceHandler.RequestHandlerResolverAdaptor</span>
            <a class="classlist" target="classPane" href="BufferingHttpServiceHandler.html#BufferingHttpServiceHandler.RequestHandlerResolverAdaptor" title="org.apache.http.nio.protocol.BufferingHttpServiceHandler.RequestHandlerResolverAdaptor">BufferingHttpServiceHandler.RequestHandlerResolverAdaptor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.71428573</span>
        <i>(71.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ErrorResponseProducer</span>
            <a class="classlist" target="classPane" href="ErrorResponseProducer.html#ErrorResponseProducer" title="org.apache.http.nio.protocol.ErrorResponseProducer">ErrorResponseProducer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9583333</span>
        <i>(95.8%)</i><br/>
    </td>
  </tr>
                  <tr>
    <td><span class="sortValue">HttpAsyncRequestExecutor</span>
            <a class="classlist" target="classPane" href="HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor" title="org.apache.http.nio.protocol.HttpAsyncRequestExecutor">HttpAsyncRequestExecutor</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.95416665</span>
        <i>(95.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncRequestExecutor.State</span>
            <a class="classlist" target="classPane" href="HttpAsyncRequestExecutor.html#HttpAsyncRequestExecutor.State" title="org.apache.http.nio.protocol.HttpAsyncRequestExecutor.State">HttpAsyncRequestExecutor.State</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9818182</span>
        <i>(98.2%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">HttpAsyncRequestHandlerRegistry</span>
            <a class="classlist" target="classPane" href="HttpAsyncRequestHandlerRegistry.html#HttpAsyncRequestHandlerRegistry" title="org.apache.http.nio.protocol.HttpAsyncRequestHandlerRegistry">HttpAsyncRequestHandlerRegistry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">HttpAsyncRequester</span>
            <a class="classlist" target="classPane" href="HttpAsyncRequester.html#HttpAsyncRequester" title="org.apache.http.nio.protocol.HttpAsyncRequester">HttpAsyncRequester</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9298246</span>
        <i>(93%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncRequester.ConnRequestCallback</span>
            <a class="classlist" target="classPane" href="HttpAsyncRequester.html#HttpAsyncRequester.ConnRequestCallback" title="org.apache.http.nio.protocol.HttpAsyncRequester.ConnRequestCallback">HttpAsyncRequester.ConnRequestCallback</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.94285715</span>
        <i>(94.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncRequester.RequestExecutionCallback</span>
            <a class="classlist" target="classPane" href="HttpAsyncRequester.html#HttpAsyncRequester.RequestExecutionCallback" title="org.apache.http.nio.protocol.HttpAsyncRequester.RequestExecutionCallback">HttpAsyncRequester.RequestExecutionCallback</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">HttpAsyncService</span>
            <a class="classlist" target="classPane" href="HttpAsyncService.html#HttpAsyncService" title="org.apache.http.nio.protocol.HttpAsyncService">HttpAsyncService</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9285714</span>
        <i>(92.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncService.Exchange</span>
            <a class="classlist" target="classPane" href="HttpAsyncService.html#HttpAsyncService.Exchange" title="org.apache.http.nio.protocol.HttpAsyncService.Exchange">HttpAsyncService.Exchange</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.76086956</span>
        <i>(76.1%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter</span>
            <a class="classlist" target="classPane" href="HttpAsyncService.html#HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter" title="org.apache.http.nio.protocol.HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter">HttpAsyncService.HttpAsyncRequestHandlerResolverAdapter</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HttpAsyncService.State</span>
            <a class="classlist" target="classPane" href="HttpAsyncService.html#HttpAsyncService.State" title="org.apache.http.nio.protocol.HttpAsyncService.State">HttpAsyncService.State</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">NHttpHandlerBase</span>
            <a class="classlist" target="classPane" href="NHttpHandlerBase.html#NHttpHandlerBase" title="org.apache.http.nio.protocol.NHttpHandlerBase">NHttpHandlerBase</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.4318182</span>
        <i>(43.2%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">NHttpRequestHandlerRegistry</span>
            <a class="classlist" target="classPane" href="NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry" title="org.apache.http.nio.protocol.NHttpRequestHandlerRegistry">NHttpRequestHandlerRegistry</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.0</span>
        <i>(0%)</i><br/>
    </td>
  </tr>
            <tr>
    <td><span class="sortValue">NullNHttpEntity</span>
            <a class="classlist" target="classPane" href="NullNHttpEntity.html#NullNHttpEntity" title="org.apache.http.nio.protocol.NullNHttpEntity">NullNHttpEntity</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.57894737</span>
        <i>(57.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NullRequestConsumer</span>
            <a class="classlist" target="classPane" href="NullRequestConsumer.html#NullRequestConsumer" title="org.apache.http.nio.protocol.NullRequestConsumer">NullRequestConsumer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5217391</span>
        <i>(52.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">NullRequestHandler</span>
            <a class="classlist" target="classPane" href="NullRequestHandler.html#NullRequestHandler" title="org.apache.http.nio.protocol.NullRequestHandler">NullRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleNHttpRequestHandler</span>
            <a class="classlist" target="classPane" href="SimpleNHttpRequestHandler.html#SimpleNHttpRequestHandler" title="org.apache.http.nio.protocol.SimpleNHttpRequestHandler">SimpleNHttpRequestHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ThrottlingHttpClientHandler</span>
            <a class="classlist" target="classPane" href="ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler" title="org.apache.http.nio.protocol.ThrottlingHttpClientHandler">ThrottlingHttpClientHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6589404</span>
        <i>(65.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ThrottlingHttpClientHandler.ClientConnState</span>
            <a class="classlist" target="classPane" href="ThrottlingHttpClientHandler.html#ThrottlingHttpClientHandler.ClientConnState" title="org.apache.http.nio.protocol.ThrottlingHttpClientHandler.ClientConnState">ThrottlingHttpClientHandler.ClientConnState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.90384614</span>
        <i>(90.4%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ThrottlingHttpServiceHandler</span>
            <a class="classlist" target="classPane" href="ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler" title="org.apache.http.nio.protocol.ThrottlingHttpServiceHandler">ThrottlingHttpServiceHandler</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6387283</span>
        <i>(63.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ThrottlingHttpServiceHandler.ServerConnState</span>
            <a class="classlist" target="classPane" href="ThrottlingHttpServiceHandler.html#ThrottlingHttpServiceHandler.ServerConnState" title="org.apache.http.nio.protocol.ThrottlingHttpServiceHandler.ServerConnState">ThrottlingHttpServiceHandler.ServerConnState</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.81632656</span>
        <i>(81.6%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">UriHttpAsyncRequestHandlerMapper</span>
            <a class="classlist" target="classPane" href="UriHttpAsyncRequestHandlerMapper.html#UriHttpAsyncRequestHandlerMapper" title="org.apache.http.nio.protocol.UriHttpAsyncRequestHandlerMapper">UriHttpAsyncRequestHandlerMapper</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.9166667</span>
        <i>(91.7%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>